- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.assets/updateSecurityMarks#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.assets/updateSecurityMarks#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.assets/updateSecurityMarks#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.assets/updateSecurityMarks#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.assets/updateSecurityMarks#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.assets/updateSecurityMarks#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.assets/updateSecurityMarks#try-it)

Updates security marks. For Finding Security marks, if no location is specified, finding is assumed to be in global. Assets Security Marks can only be accessed through global endpoint.

### IAM Permissions

Requires one of the following IAM permissions on the resource specified in the `securityMarks.name` field (depending on the resource type):

- `securitycenter.assetsecuritymarks.update`
- `securitycenter.findingsecuritymarks.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v2/{securityMarks.name=folders/*/assets/*/securityMarks}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `securityMarks.name` | `string` The relative resource name of the SecurityMarks. See: <https://cloud.google.com/apis/design/resource_names#relative_resource_name> The following list shows some examples: - `organizations/{organizationId}/assets/{asset_id}/securityMarks` + `organizations/{organizationId}/sources/{source_id}/findings/{findingId}/securityMarks` + `organizations/{organizationId}/sources/{source_id}/locations/{location}/findings/{findingId}/securityMarks` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The FieldMask to use when updating the security marks resource. The field mask must not contain duplicate fields. If empty or set to "marks", all marks will be replaced. Individual marks can be updated using "marks.". |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings#Finding.SecurityMarks`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings#Finding.SecurityMarks`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).